Arbor 3: FSM & BT Graph Editor 3.5.1

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
StateLinkRerouteNode Class Reference

StateLink's reroute node More...

Inheritance diagram for StateLinkRerouteNode:

## Public Member Functions
| StateLinkRerouteNode (NodeGraph nodeGraph, int nodeID)
| StateLinkRerouteNode constructor More...
Public Member Functions inherited from Node
| Node (NodeGraph nodeGraph, int nodeID)
| Node constructor More...
virtual bool | IsContainsBehaviour (NodeBehaviour behaviour)
| Check if it contains NodeBehaviour. More...
virtual bool | IsDeletable ()
| Returns whether or not it can be deleted. More...
virtual string | GetName ()
| Get node name. More...
override string | ToString ()
| Convert node to string (for debugging). More...

## Public Attributes
StateLink | link = new StateLink()
| Transition destination state More...
Vector2 | direction = Vector2.right
| Direction of line More...
Public Attributes inherited from Node
Rect | position
| Position on the Arbor Editor. More...
bool | showComment
| Whether to display comments More...
string | nodeComment
| Comment More...

## Additional Inherited Members
Protected Member Functions inherited from Node
virtual void | OnGraphChanged ()
| Called when the NodeGraph to which the Node belongs has changed. More...
Properties inherited from Node
NodeGraph | nodeGraph`[get]`
| Gets the NodeGraph. More...
int | nodeID`[get]`
| Gets the node identifier. More...

## Detailed Description

StateLink's reroute node

## Constructor & Destructor Documentation

StateLinkRerouteNode | ( | NodeGraph | nodeGraph,
|  | int | nodeID
| ) |  |

StateLinkRerouteNode constructor

Parameters

  nodeGraph | NodeGraph with this node
  nodeID | Node ID

Please use the ArborFSMInternal.CreateStateLinkRerouteNode(Vector2) StateLinkRerouteNode creating.

## Member Data Documentation

Vector2 direction = Vector2.right

Direction of line

StateLink link = new StateLink()

Transition destination state